Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.util
Class Log

    java.lang.Object
      org.newdawn.slick.util.Log

    public final class Log

extends java.lang.Object

A simple central logging system

Author:
  kevin

Method Summary
`static void` | `checkVerboseLogSetting()` Check if the system property org.newdawn.slick.verboseLog is set to true.
`static void` | `debug(java.lang.String message)` Log a debug message
`static void` | `error(java.lang.String message)` Log an error
`static void` | `error(java.lang.String message, java.lang.Throwable e)` Log an error
`static void` | `error(java.lang.Throwable e)` Log an error
`static void` | `info(java.lang.String message)` Log an information message
`static void` | `setForcedVerboseOn()` Indicate that we want verbose logging, even if switched off in game code.
`static void` | `setLogSystem(LogSystem system)` Set the log system that will have all of the log info sent to it.
`static void` | `setVerbose(boolean v)` Indicate that we want verbose logging.
`static void` | `warn(java.lang.String message)` Log a warning
`static void` | `warn(java.lang.String message, java.lang.Throwable e)` Log a warning

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setLogSystem

    public static void setLogSystem(LogSystem system)

  Set the log system that will have all of the log info sent to it.

  Parameters:
    `system` - The system to use for logging.

### setVerbose

    public static void setVerbose(boolean v)

  Indicate that we want verbose logging. The call is ignored if verbose logging is forced by the system property "org.newdawn.slick.forceVerboseLog"

  Parameters:
    `v` - True if we want verbose logging (INFO and DEBUG)

### checkVerboseLogSetting

    public static void checkVerboseLogSetting()

  Check if the system property org.newdawn.slick.verboseLog is set to true. If this is the case we activate the verbose logging mode

### setForcedVerboseOn

    public static void setForcedVerboseOn()

  Indicate that we want verbose logging, even if switched off in game code. Only be called when system property "org.newdawn.slick.forceVerboseLog" is set to true. You must not call this method directly.

### error

    public static void error(java.lang.String message,
                             java.lang.Throwable e)

  Log an error

  Parameters:
    `message` - The message describing the error
    `e` - The exception causing the error

### error

    public static void error(java.lang.Throwable e)

  Log an error

  Parameters:
    `e` - The exception causing the error

### error

    public static void error(java.lang.String message)

  Log an error

  Parameters:
    `message` - The message describing the error

### warn

    public static void warn(java.lang.String message)

  Log a warning

  Parameters:
    `message` - The message describing the warning

### warn

    public static void warn(java.lang.String message,
                            java.lang.Throwable e)

  Log a warning

  Parameters:
    `message` - The message describing the warning
    `e` - The issue causing the warning

### info

    public static void info(java.lang.String message)

  Log an information message

  Parameters:
    `message` - The message describing the infomation

### debug

    public static void debug(java.lang.String message)

  Log a debug message

  Parameters:
    `message` - The message describing the debug

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.